#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Email
%define	pnam	MIME-ContentType
Summary:	Email::MIME::ContentType - parse a MIME Content-Type header
Summary(pl.UTF-8):	Email::MIME::ContentType - analiza nagłówka MIME Content-Type
Name:		perl-Email-MIME-ContentType
Version:	1.028
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	57c34e2e8a5820a7a8ab51572342ef46
URL:		http://search.cpan.org/dist/Email-MIME-ContentType/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is responsible for parsing email content type headers
according to section 5.1 of RFC 2045. It returns a hash as above,
with entries for the discrete type, the composite type, and a hash
of attributes.

%description -l pl.UTF-8
Ten moduł odpowiada za analizę nagłówków listów dotyczących rodzaju
zawartości zgodnie z rozdziałem 5.1 RFC 2045. Zwraca hasza z wpisami
dla typu dyskretnego, typu złożonego i hasza atrybutów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*
%changelog
* Sat Nov 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-MIME-ContentType.git;a=log;h=master

* Mon Jul 03 2023 Adam Osuchowski <adwol@pld-linux.org> 3341b09
- up to 1.028

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 91e989b
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Sep 25 2018 Adam Osuchowski <adwol@pld-linux.org> 68ba949
- up to 1.022

* Mon Nov 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> abb13d0
- up to 1.018

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> f1f0bc7
- updated to 1.015

* Wed Jan 09 2008 Jakub Bogusz <qboosh@pld-linux.org> bc1aeb0
- generic URL, adjusted pl

* Wed Jan 09 2008 Maciej Pijanka <agaran@pld-linux.org> 87cf831
- up to 1.014, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 789f9a3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b12de91
- converted to UTF-8

* Tue May 31 2005 petec <petec@pld-linux.org> 36e2ff4
- up to 1.01

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> b1d56b5
- unified capitalization

* Thu Dec 09 2004 Jakub Bogusz <qboosh@pld-linux.org> b7f52e0
- pl

* Thu Dec 09 2004 radek <radek@pld-linux.org> 5021c0a
- tweaked BR

* Thu Dec 09 2004 radek <radek@pld-linux.org> 8e6718f
- new

